@echo off
echo This program modifies the 'Degory'un 2.5', depending on your selections.
echo For this car, the following are available:
echo -Physics changes
echo -> Real physics (can be difficult to handle with keyboards)
echo -> Fun physics
echo -Colour changes
echo -Model changes
echo.
echo Model change:
echo.
echo 1) BTTF & Carma model
echo 2) Normal BTTF
echo 3) Hovering BTTF
echo 4) Carma-version
echo 5) Stock-version
echo 6) Lowered stock-version
echo 7) Monster DeGory'un
echo 8) No change (=Exit)
echo.
choice /C:12345678 "    "
if errorlevel 8 goto NoChange
if errorlevel 7 goto BigFoot
if errorlevel 6 goto Lowered
if errorlevel 5 goto Stock
if errorlevel 4 goto Carma
if errorlevel 3 goto BTTFHover
if errorlevel 2 goto BTTFNormal
goto BTTFCarma




:BTTFCarma
copy mods\models\BTTFCarma\c2sdelorean.*
copy mods\models\BTTFCarma\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
cls
echo Which physics would you like to use for the Carmageddonized BTTF-car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBTTFCarma
copy mods\models\bttfcarma\fun.txt c2sdelorean.txt
goto Colour
:ARealBTTFCarma
copy mods\models\bttfcarma\real.txt c2sdelorean.txt
goto Colour

:BTTFNormal
copy mods\models\BTTFNormal\c2sdelorean.*
copy mods\models\BTTFNormal\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
cls
echo Which physics would you like to use for the BTTF-car?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBTTFNormal
copy mods\models\bttfnormal\fun.txt c2sdelorean.txt
goto Colour
:ARealBTTFNormal
copy mods\models\bttfnormal\real.txt c2sdelorean.txt
goto Colour

:BTTFHover
copy mods\models\BTTFHover\c2sdelorean.*
copy mods\models\BTTFHover\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
copy mods\models\bttfhover\c2sdelorean.txt
goto Colour

:Carma
copy mods\models\carma\c2sdelorean.*
copy mods\models\carma\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
cls
echo Which physics would you like to use for the Carma-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealCarma
copy mods\models\carma\fun.txt c2sdelorean.txt
goto Colour
:ARealCarma
copy mods\models\carma\real.txt c2sdelorean.txt
goto Colour

:Stock
copy mods\models\stock\c2sdelorean.*
copy mods\models\stock\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
cls
echo Which physics would you like to use for the stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealStock
copy mods\models\stock\fun.txt c2sdelorean.txt
goto Colour
:ARealStock
copy mods\models\stock\real.txt c2sdelorean.txt
goto Colour

:Lowered
copy mods\models\lowstock\c2sdelorean.*
copy mods\models\lowstock\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
cls
echo Which physics would you like to use for the lowered stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealLowStock
copy mods\models\lowstock\fun.txt c2sdelorean.txt
goto Colour
:ARealLowStock
copy mods\models\lowstock\real.txt c2sdelorean.txt
goto Colour

:Bigfoot
copy mods\models\Bigfoot\c2sdelorean.*
copy mods\models\lowstock\DeloCentreA.tif tiffrgb
del pix16\DeloCentreA.pix
copy mods\colours\black\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
cls
echo Which physics would you like to use for the monster DeGory'un?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBigfoot
copy mods\models\bigfoot\fun.txt c2sdelorean.txt
goto Exit
:ARealBigfoot
copy mods\models\bigfoot\real.txt c2sdelorean.txt
goto Exit




:Colour
cls
echo Choose a colour:
echo.
echo 1) Black
echo 2) Brown
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Light Blue
echo 6) Red
echo 7) Gray
echo 8) White
echo 9) Yellow
echo.
choice /C:123456789 " "
if errorlevel 9 goto Yellow
if errorlevel 8 goto White
if errorlevel 7 goto Gray
if errorlevel 6 goto Red
if errorlevel 5 goto LightBlue
if errorlevel 4 goto DarkGreen
if errorlevel 3 goto DarkBlue
if errorlevel 2 goto Brown
goto Black





:Yellow
copy mods\colours\yellow\C2SDelorean.mat
copy mods\colours\yellow\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:White
copy mods\colours\white\C2SDelorean.mat
copy mods\colours\white\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:Gray
copy mods\colours\gray\C2SDelorean.mat
copy mods\colours\gray\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:Red
copy mods\colours\red\C2SDelorean.mat
copy mods\colours\red\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:LightBlue
copy mods\colours\lightblue\C2SDelorean.mat
copy mods\colours\lightblue\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:DarkGreen
copy mods\colours\darkgreen\C2SDelorean.mat
copy mods\colours\darkgreen\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:DarkBlue
copy mods\colours\darkblue\C2SDelorean.mat
copy mods\colours\darkblue\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:Brown
copy mods\colours\brown\C2SDelorean.mat
copy mods\colours\brown\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit

:Black
copy mods\colours\black\C2SDelorean.mat
copy mods\colours\black\DeloColor.tif tiffrgb
del pix16\DeloColor.pix
goto Exit





:Exit
cls
echo Changes are made, program is ended.
echo You may now sit on the driver's seat, and fire it up.
exit


:NoChange
cls
echo No changes made this time, program is ended.
exit